clear all
close all
%format short g
time=1200;
dt=50;
dim=100;
dim2=2;
n_input=1;
diameter=2; %intorno for the input
noi=0.0;      %0/1 noise for the input
da=0;
rng(8)

conf=4;
points=[1 1 1 1];

init_var


%% ARENA
%arena_builder;
fig=figure('Name', 'Cortex layer', 'Position', [100 200 1500 500]);

subplot(1,3,1)
colormap(fmri_col)
title('Ouput Lateral Connectivity Matrix')

subplot(1,3,2)
title('Inputs')

subplot(1,3,3)
title('Outputs')

%% video initialization
%vd = VideoWriter('video4_attractors');
vd = VideoWriter('video4_attractors', 'MPEG-4' );
frm=1;

%%
k=1;
flag1=0;
flag2=0;
%inp_crx1{3}=rand(1,100)/10;
input_range=[0 time 0.5 1.5];
for k = 2:time
    %inp_crx1=inp_crx1+rand(1,100)/50-0.01;

    input_gen
    
    crx1 = leaky_step(k, dt,  crx1, reshape(inp_crx1{k},1,100), da);

    
    mat_crx1=reshape(crx1.activity(k,:),10,10);

    subplot(1,3,1)
    imagesc(crx1.self_w)
    caxis([-2 2])
    %colormap(summer)
    title('Ouput Lateral Connectivity Matrix')
    
    subplot(1,3,2)
    imagesc(inp_crx1{k}')
    caxis([0 1])
    title('Inputs')
    
    subplot(1,3,3)
    imagesc(mat_crx1')
    %clims = [0 1];
    %caxis([0 1])
    %colormap(fmri_col)
    title('Outputs')
    
       

    %% dynamics
    if k>time/3 && k<=time*(2/3)
        crx1.self_w=patt1;
        %disp('second sector');
    elseif k>time*(2/3)
        %disp('third sector');
        crx1.self_w(28,73)=1.5;
        crx1.self_w(28,78)=-1.5;
        crx1.self_w(73,78)=1.5;
        crx1.self_w(78,28)=-1.5;
        crx1.self_w(78,23)=1.5;
        crx1.self_w(23,73)=-1.5;
        crx1.self_w(23,28)=1.5;
    end

    
    %%
    drawnow
    wait(1)
    
    %frame capture
    mvm(frm) = getframe(fig);
    frm=frm+1;
end

%% video recording
 open(vd)
 writeVideo(vd,mvm)
 close(vd)
